Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226661 - Merge Review: yaboot
Summary: Merge Review: yaboot
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:35 UTC by Nobody's working on this, feel free to take it
Modified: 2010-02-10 10:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-10 10:20:39 UTC
varekova: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:35:39 UTC
Fedora Merge Review: yaboot

http://cvs.fedora.redhat.com/viewcvs/devel/yaboot/
Initial Owner: pnasrat@redhat.com

Comment 1 Ivana Varekova 2009-11-30 12:23:38 UTC
My comments:

- BAD: rpmlint flags an error:
yaboot.src: W: summary-ended-with-dot Linux bootloader for Power Macintosh "New World" computers.
yaboot.src:48: W: unversioned-explicit-obsoletes ybin
yaboot.src:110: E: hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/yaboot/
yaboot.src:123: E: hardcoded-library-path in /usr/lib/yaboot/addnote
yaboot.src:124: E: hardcoded-library-path in /usr/lib/yaboot/ofboot
yaboot.src:125: E: hardcoded-library-path in /usr/lib/yaboot/yaboot
yaboot.src:126: E: hardcoded-library-path in /usr/lib/yaboot/yaboot.debug

yaboot.ppc: W: summary-ended-with-dot Linux bootloader for Power Macintosh "New World" computers.
yaboot.ppc: W: obsolete-not-provided ybin
yaboot.ppc: E: statically-linked-binary /usr/lib/yaboot/yaboot
yaboot.ppc: W: executable-stack /usr/lib/yaboot/yaboot
yaboot.ppc: W: unstripped-binary-or-object /usr/lib/yaboot/yaboot.debug
yaboot.ppc: E: statically-linked-binary /usr/lib/yaboot/yaboot.debug
yaboot.ppc: W: executable-stack /usr/lib/yaboot/yaboot.debug
yaboot.ppc: W: file-not-utf8 /usr/share/doc/yaboot-1.3.14/yaboot-howto.de.sgml
- GOOD: package is named according to guidelines
- GOOD: spec file named properly
- BAD: wrong build root
see Packaging/Guidelines
- GOOD: package is licensed with a Fedora approved license and meets the 
Licensing Guidelines
- GOOD: the License field in the package spec file does not match the actual
license
- GOOD: license files are shipped, but not marked as documentation (see below)
- CHECK: spec file must be written in American English ()
- CHECK: The spec file is legible
summary ends with dot - should not be there
- GOOD: source upstream 
- GOOD: builds in mock
- CHECK: no build dependencies necessary beyond base packages
is ybin necessary, isn it obsolete
- GOOD: doesn't ship locale files
- GOOD: no libraries shipped
- BAD: package is not relocatable
see rpmlint output
- BAD: shipped directories owned by package, direct dependency or
filesystem:
/usr/lib/yaboot/ is not owned
- GOOD: no duplicates in %files
- CHECK: wrong location of files
-rwxr-xr-x    1 root    root                     6132 Oct 29 12:02 /usr/lib/yaboot/addnote
-rw-r--r--    1 root    root                    11410 Oct 29 12:02 /usr/lib/yaboot/ofboot
-rw-r--r--    1 root    root                   198192 Oct 29 12:02 /usr/lib/yaboot/yaboot
-rw-r--r--    1 root    root                   454294 Oct 29 12:02 /usr/lib/yaboot/yaboot.debug
is the location of these files ok? smoreover the last three have no executable permissions - seems to be bogus location for me
- CHECK: permissions on files are set properly
see the previous
- GOOD: package has a %clean section
- GOOD: package uses macros consistently
- GOOD: no large documentation files
- GOOD: header files
- GOOD: no static libraries
- GOOD: no pkgconfig files
- GOOD: no libraries included
- GOOD: no devel package
- GOOD: no *.la libtool archives
- GOOD: no desktop file
- GOOD: owns files or directories owned by other packages:
- BAD: build root is cleaned at the beginning of %install
is not cleaned
- GOOD: all file names are valid UTF-8

/usr/share/doc/yaboot-1.3.14/README.man.patch
and 
/usr/share/doc/yaboot-1.3.14/Makefile
 should not be in documentation

Comment 2 Roman Rakus 2009-11-30 14:12:22 UTC
>- BAD: rpmlint flags an error:
>yaboot.src: W: summary-ended-with-dot Linux bootloader for Power Macintosh "New
>World" computers.
fixed

>yaboot.src:48: W: unversioned-explicit-obsoletes ybin
fixed

>yaboot.src:110: E: hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/yaboot/
>yaboot.src:123: E: hardcoded-library-path in /usr/lib/yaboot/addnote
>yaboot.src:124: E: hardcoded-library-path in /usr/lib/yaboot/ofboot
>yaboot.src:125: E: hardcoded-library-path in /usr/lib/yaboot/yaboot
>yaboot.src:126: E: hardcoded-library-path in /usr/lib/yaboot/yaboot.debug
This is special case. Yaboot binaries are needed to be in /usr/lib/yaboot dir.

>yaboot.ppc: W: summary-ended-with-dot Linux bootloader for Power Macintosh "New
>World" computers.
fixed

>yaboot.ppc: W: obsolete-not-provided ybin
fixed

>yaboot.ppc: E: statically-linked-binary /usr/lib/yaboot/yaboot
>yaboot.ppc: W: executable-stack /usr/lib/yaboot/yaboot
>yaboot.ppc: W: unstripped-binary-or-object /usr/lib/yaboot/yaboot.debug
>yaboot.ppc: E: statically-linked-binary /usr/lib/yaboot/yaboot.debug
>yaboot.ppc: W: executable-stack /usr/lib/yaboot/yaboot.debug
Special case. Yaboot is bootloader, is not linux executable file, is meant to be executed only by OpenFirmware

>yaboot.ppc: W: file-not-utf8 /usr/share/doc/yaboot-1.3.14/yaboot-howto.de.sgml
fixed

>- GOOD: package is named according to guidelines
>- GOOD: spec file named properly
>- BAD: wrong build root
>see Packaging/Guidelines
fixed

>- GOOD: package is licensed with a Fedora approved license and meets the 
>Licensing Guidelines
>- GOOD: the License field in the package spec file does not match the actual
>license
>- GOOD: license files are shipped, but not marked as documentation (see below)
>- CHECK: spec file must be written in American English ()
Is or isn't?

>- CHECK: The spec file is legible
>summary ends with dot - should not be there
fixed

>- GOOD: source upstream 
>- GOOD: builds in mock
>- CHECK: no build dependencies necessary beyond base packages
>is ybin necessary, isn it obsolete
fixed

>- GOOD: doesn't ship locale files
>- GOOD: no libraries shipped
>- BAD: package is not relocatable
>see rpmlint output
see above

>- BAD: shipped directories owned by package, direct dependency or
>filesystem:
>/usr/lib/yaboot/ is not owned
fixed

>- GOOD: no duplicates in %files
>- CHECK: wrong location of files
>-rwxr-xr-x    1 root    root                     6132 Oct 29 12:02
>/usr/lib/yaboot/addnote
>-rw-r--r--    1 root    root                    11410 Oct 29 12:02
>/usr/lib/yaboot/ofboot
>-rw-r--r--    1 root    root                   198192 Oct 29 12:02
>/usr/lib/yaboot/yaboot
>-rw-r--r--    1 root    root                   454294 Oct 29 12:02
>/usr/lib/yaboot/yaboot.debug
>is the location of these files ok? smoreover the last three have no executable
>permissions - seems to be bogus location for me
See above.

>- CHECK: permissions on files are set properly
>see the previous
>- GOOD: package has a %clean section
>- GOOD: package uses macros consistently
>- GOOD: no large documentation files
>- GOOD: header files
>- GOOD: no static libraries
>- GOOD: no pkgconfig files
>- GOOD: no libraries included
>- GOOD: no devel package
>- GOOD: no *.la libtool archives
>- GOOD: no desktop file
>- GOOD: owns files or directories owned by other packages:
>- BAD: build root is cleaned at the beginning of %install
>is not cleaned
fixed

>- GOOD: all file names are valid UTF-8
>
>/usr/share/doc/yaboot-1.3.14/README.man.patch
>and 
>/usr/share/doc/yaboot-1.3.14/Makefile
> should not be in documentation  
fixed

See task http://koji.fedoraproject.org/koji/taskinfo?taskID=1838144

Comment 3 Ivana Varekova 2009-12-02 14:49:53 UTC
Seems OK for e the last point I have is:
%defattr(-,root,root) ->%defattr(-,root,root,-)

Comment 4 Roman Rakus 2009-12-03 10:16:03 UTC
Commited. Please check.


Note You need to log in before you can comment on or make changes to this bug.